Rated 5 out of 5 stars

Firefox was updated from 18 to 18.0.1, then it said Foxdie wasn't compatible.
I came here to download the .jar to drag and drop it, but I cannot find the download link :(
(Just one old, that doesn't work)